Module java.compiler
Package javax.tools

## Interface DiagnosticListener<S>

- Type Parameters:
    `S` - the type of source objects used by diagnostics received by this listener
  All Known Implementing Classes:
    `DiagnosticCollector`

      public interface DiagnosticListener<S>

  Interface for receiving diagnostics from tools.
  Since:
    1.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `report​(Diagnostic<? extends S> diagnostic)` | Invoked when a problem is found.

- - ### Method Detail

    - #### report

          void report​(Diagnostic<? extends S> diagnostic)

      Invoked when a problem is found.
      Parameters:
        `diagnostic` - a diagnostic representing the problem that was found
      Throws:
        `NullPointerException` - if the diagnostic argument is `null` and the implementation cannot handle `null` arguments